Unit tqsh4r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FQSH4R_p, QSH4R_p;

function tqsh4r: String;

implementation

function tqsh4r: String;
var
_i,IERR :Integer;
E,RINT :Real;
A :Array [0..3] of Real;
B :Array [0..3] of Real;
begin
Result := '';  {   }
A[0] := -1.0;
B[0] := 2.0;
A[1] := -1.0;
B[1] := 2.0;
A[2] := -1.0;
B[2] := 2.0;
A[3] := -1.0;
B[3] := 2.0;
E := 0.05;
QSH4R(RINT,A,B,FQSH4R,E,IERR);
Result := Result + Format(' %20.16f ',[RINT]) + #$0D#$0A;
RINT := RINT*16.0/81.0;
Result := Result + Format('  %5d ',[IERR]) + #$0D#$0A;
Result := Result + Format(' %20.16f',[RINT]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[B[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f ',[E]) + #$0D#$0A;
UtRes('tqsh4r',Result);  {     tqsh4r.res }
end;

end.
